#ifndef FILTER_H
#define FILTER_H

#include "DSP2D.h"
#include <qapplication.h>
#include <qthread.h>
#include <qobject.h>

class filter : public QObject, public QThread {

	Q_OBJECT

	public:
		void setImages(DSP2D*,DSP2D*,DSP2D*,DSP2D*,DSP2D*,DSP2D*);
		void setKernel(KERNEL2D*,KERNEL2D*,KERNEL2D*);
		void run();
		void stop();

		long pixel;

	signals:
		void done();

	private:
		bool stop_flag;

		DSP2D *input[3], *output[3];
		KERNEL2D *kernel[3];

};
#endif
