#ifdef SPLASH										// Splashscreen can be used with QT > 3.1
#include <qsplashscreen.h>
#include <qtimer.h>
#include "images.h"
#endif

#include "control.h"									// Control object header

using namespace std;									// Use standard namespace

int main(int argc, char **argv) {
    QApplication app(argc,argv);
    #ifndef Q_OS_MACX
    app.setStyle("motif");
    #endif
    #ifdef SPLASH
	QSplashScreen *s=new QSplashScreen(QPixmap(qembed_findData("splash.png")));
	QString m="Compiled";
	m+="\n";
	m+=__DATE__;
	s->message(m,Qt::AlignLeft|Qt::AlignBottom,QColor(255,255,255));
	QTimer *t=new QTimer(s);
	QObject::connect(t,SIGNAL(timeout()),s,SLOT(close()));
	t->start(4000);
	s->show();
    #endif
    control *w=new control(0);
    app.setMainWidget(w);
    #ifdef SPLASH
    	s->raise();
    #endif
    return app.exec();
};
